RecoveryRateModel Class Referenceabstract

`#include <ql/experimental/credit/recoveryratemodel.hpp>`

Inheritance diagram for RecoveryRateModel:
[legend]

## Public Member Functions

virtual Real | recoveryValue (const Date &defaultDate, const DefaultProbKey &defaultKey=DefaultProbKey()) const
virtual bool | appliesToSeniority (Seniority) const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions

virtual Real | recoveryValueImpl (const Date &, const DefaultProbKey &defaultKey) const =0

## Detailed Description

Models of the recovery rate provide future values of a recovery rate in the event of a default.

## Member Function Documentation

virtual Real recoveryValue | ( | const Date & | defaultDate,
|  | const DefaultProbKey & | defaultKey = `DefaultProbKey()`
| ) |  | const

virtual

returns the expected recovery rate at a future time conditional on some default event type and seniority.

virtual bool appliesToSeniority | ( | Seniority |  | ) | const

pure virtual

Returns true if the model will return recovery rates for the requested seniority.

Implemented in ConstantRecoveryModel.

virtual Real recoveryValueImpl | ( | const Date & | ,
|  | const DefaultProbKey & | defaultKey
| ) |  | const

protected pure virtual

Returns Null<Real> if unable to produce a recovery for the requested seniority.

Implemented in ConstantRecoveryModel.